Bug 8295 - Closing window via window manager won't give you your prompt back
Closing window via window manager won't give you your prompt back
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: printtool (Show other bugs)
6.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-08 12:57 EST by Telsa Gwynne
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-09 12:18:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2000-01-08 12:57:03 EST
If you attempt to quit printtool when it has extra sub-windows (or
whatever they are) open, printtool goes away but your prompt doesn't
come back to the terminal you started printtool from.

This is with printtool-3.41-2, October Gnome, and windowmaker-0.61.0
as the window manager.

How to repeat: open a gnome-terminal, su, 'printtool'. Do something
that produces another window: eg the "test document has been sent to
printer" window that results from selecting something off the Test
menu, or select 'edit' and get the list of options and stuff for a
printer. Whilst that second window is still open, click on the 'close
window' icon your windowmanager gives you on the main printtool window.
All windows go away, but the prompt does not return to the terminal
you started from. Hitting ^D has no effect. Hitting ^C gives you back
your prompt.

Fix: well, exiting via Printtool->Exit menu works properly. But it would
be nice if you could exit this way, too.
Comment 1 Bernhard Rosenkraenzer 2000-01-09 12:18:59 EST
Printtool will be removed from the distribution soon, and replaced with a
different (and better) tool.

Note You need to log in before you can comment on or make changes to this bug.